Mandrake Linux Security Advisory : bluez-utils (MDKSA-2005:150)

High Nessus Plugin ID 19906


The remote Mandrake Linux host is missing one or more security updates.


A vulnerability in bluez-utils was discovered by Henryk Plotz. Due to missing input sanitizing, it was possible for an attacker to execute arbitrary commands supplied as a device name from the remote bluetooth device.

The updated packages have been patched to correct this problem.


Update the affected bluez-utils and / or bluez-utils-cups packages.

Plugin Details

Severity: High

ID: 19906

File Name: mandrake_MDKSA-2005-150.nasl

Version: $Revision: 1.15 $

Type: local

Published: 2005/10/05

Modified: 2013/05/31

Dependencies: 12634

Risk Information

Risk Factor: High


Base Score: 7.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

Vulnerability Information

CPE: p-cpe:/a:mandriva:linux:bluez-utils, p-cpe:/a:mandriva:linux:bluez-utils-cups, cpe:/o:mandrakesoft:mandrake_linux:10.0, cpe:/o:mandrakesoft:mandrake_linux:10.1, x-cpe:/o:mandrakesoft:mandrake_linux:le2005

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/Mandrake/release, Host/Mandrake/rpm-list

Patch Publication Date: 2005/08/25

Reference Information

CVE: CVE-2005-2547

MDKSA: 2005:150